Project

General

Profile

Bug #2263

New LLVM breaks [libre/kdevelop] and [libre/qtcreator] (blocks upgrading)

freemor - 8 months ago - . Updated 4 months ago.

Status:
in progress
Priority:
broken
Assignee:
% Done:

80%


Description

Both wil need rebuilds.
I've started on kdevelop.

Created this BR to (hopefully) stem the tide of "it's broken/can't upgrade" BRs related to this issue.

I'll get qtcreator next. This will take a while these are larger builds

History

#1

Updated by freemor 8 months ago

  • % Done changed from 0 to 70

x86_64 packages away!

armv7h packages cooking

i686 llvm 8.0.0. hasn't landed yet

#2

Updated by freemor 8 months ago

  • % Done changed from 70 to 80

kdevelop for armv7h pushed

#3

Updated by bill-auger 4 months ago

i thought we lost 'kdevelop' to the 'qt5-webengine' bandwagon

anyways there is an updated PKGBUILD for qtcreator v4.9.2 in abslibre - it builds ok for x86_64 but i havent checked it out - if someone gets to qtcreator before me, look for an error in the GUI like this:

/usr/lib/qtcreator/plugins/libQbsProjectManager.so: 
Cannot load library /usr/lib/qtcreator/plugins/libQbsProjectManager.so: (libqbscore.so.1.12:
cannot open shared object file: No such file or directory)

it is present in the current version v4.8.2 and seems harmless so i didnt fix it

Also available in: Atom PDF